Bug 1281326 (CVE-2015-5330) - CVE-2015-5330 samba, libldb: remote memory read in the Samba LDAP server
Summary: CVE-2015-5330 samba, libldb: remote memory read in the Samba LDAP server
Status: CLOSED ERRATA
Alias: CVE-2015-5330
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151216,repor...
Keywords: Security
Depends On: 1290712 1290713 1290714 1290715 1290727 1291376 1292070
Blocks: 1281327
TreeView+ depends on / blocked
 
Reported: 2015-11-12 10:11 UTC by Adam Mariš
Modified: 2019-06-08 20:50 UTC (History)
17 users (show)

(edit)
A memory-read flaw was found in the way the libldb library processed LDB DN records with a null byte. An authenticated, remote attacker could use this flaw to read heap-memory pages from the server.
Clone Of:
(edit)
Last Closed: 2016-01-08 12:18:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0006 normal SHIPPED_LIVE Moderate: samba security update 2016-01-08 06:39:15 UTC
Red Hat Product Errata RHSA-2016:0009 normal SHIPPED_LIVE Moderate: libldb security update 2016-01-08 06:12:46 UTC
Red Hat Product Errata RHSA-2016:0010 normal SHIPPED_LIVE Moderate: samba4 security update 2016-01-08 03:43:17 UTC
Red Hat Product Errata RHSA-2016:0014 normal SHIPPED_LIVE Moderate: libldb security update 2016-01-08 14:13:42 UTC
Red Hat Product Errata RHSA-2016:0015 normal SHIPPED_LIVE Moderate: samba security update 2016-01-08 15:18:26 UTC
Red Hat Product Errata RHSA-2016:0016 normal SHIPPED_LIVE Moderate: samba security update 2016-01-08 15:17:52 UTC

Description Adam Mariš 2015-11-12 10:11:10 UTC
It was reported that when adding an LDB DN to the database, that if a \00 (null byte) is used, remote memory can be read due to a combination of talloc_strdup() and a length assignment.

Upstream bug:

https://bugzilla.samba.org/show_bug.cgi?id=11599

Comment 3 Huzaifa S. Sidhpurwala 2015-12-10 06:28:17 UTC
Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue. Upstream acknowledges Douglas Bagnall as the original reporter.

Comment 7 Siddharth Sharma 2015-12-16 12:10:06 UTC
Created libldb tracking bugs for this issue:

Affects: fedora-all [bug 1292070]

Comment 8 Huzaifa S. Sidhpurwala 2015-12-17 04:10:11 UTC
External References:

https://www.samba.org/samba/security/CVE-2015-5330.html

Comment 10 Tomas Hoger 2015-12-17 15:18:30 UTC
The non-ldb samba fixes were applied in upstream versions 4.1.22, 4.2.7, and 4.3.3.

Comment 11 errata-xmlrpc 2016-01-08 01:13:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:0009 https://rhn.redhat.com/errata/RHSA-2016-0009.html

Comment 12 errata-xmlrpc 2016-01-08 01:40:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0006 https://rhn.redhat.com/errata/RHSA-2016-0006.html

Comment 13 errata-xmlrpc 2016-01-08 09:13:52 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 6
  Red Hat Gluster Storage 3.1 for RHEL 7

Via RHSA-2016:0014 https://rhn.redhat.com/errata/RHSA-2016-0014.html

Comment 14 errata-xmlrpc 2016-01-08 10:18:55 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 7

Via RHSA-2016:0016 https://rhn.redhat.com/errata/RHSA-2016-0016.html

Comment 15 errata-xmlrpc 2016-01-08 10:19:33 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0015 https://rhn.redhat.com/errata/RHSA-2016-0015.html


Note You need to log in before you can comment on or make changes to this bug.